require_relative '../lib/dev_tasks.rb'
require 'dev_commands'

describe DevTasks do

  it "should be able to define rake tasks for the gem-example" do
		dir='spec/gem-example'
  		expect(File.exists?("#{dir}/rakefile.rb")).to eq(true)

	  	Dir.chdir(dir) do
	  	  expect(Command.exit_code('rake default')).to eq(0)
	  	  expect(Command.exit_code('rake build')).to eq(0)
	  	  expect(File.exists?('gem-example-0.0.0.gem')).to eq(true)
	  	  expect(Command.exit_code('rake clobber')).to eq(0)
	  	  expect(File.exists?('gem-example-0.0.0.gem')).to eq(false)
	  	  expect(Command.output('rake -T').include?('rake build')).to eq(true)
	    end
	end
end